/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgbucketHelp.h : kgbucket help
// =============================================================================
_title="件数均等化バケット分割";
_doc="\
mbucket(件数均等化バケット分割)\n\
 \"f=\"パラメータで指定した数値項目の件数が\n\
 できるだけ均等になるようなバケットに\n\
 \"n=\"パラメータで指定した分割数に分割する。\n\
書式\n\
 mbucket f= n= [-rng] [-r] [F=] [k=] [O=] [bufcount=] [-nfn] [-nfno] [-x] [precision=] [i=] [o=] [-help]\n\
パラメータ\n\
 f= 分割する項目名リスト(複数項目指定可)【必須】\n\
    ここで指定した項目の値に基づいて分割をおこなう。\n\
    分割対象の項目名:出力する項目名\n\
    x,nfnオプション使用時は、項目番号(0～)で指定可能。\n\
 n= 分割数【必須】分割数(\"f=\"パラメータで指定した\n\
    項目数と同じ数のパラメータを指定する。\n\
    ただし1つの数字を指定した場合、\"f=\"パラメータで指定した\n\
    全ての項目の分割数として扱われる。\n\
 F= 出力形式【default=0】\n\
    バケットの名前を出力形式。\n\
    0:バケット番号のみを表示する。\n\
    1:バケットの範囲のみを表示する。\n\
    2:バケット番号とバケット範囲の両方を表示する。\n\
 k= キー項目名リスト(複数項目指定可)\n\
    【任意】バケット分割を行う単位となる項目名リスト。\n\
    ※指定する場合は事前に\"k=\"パラメータで指定する\n\
    分割する単位となる項目順に並べ替えておく必要がある。\n\
 O= バケット範囲出力ファイル【任意】\n\
    \"f=\"パラメータで指定した各項目の各バケットの\n\
    数値範囲を出力するファイル名。\n\
オプション\n\
 -rng バケットの範囲均等指定\n\
      バケットの範囲が均等になるように分割する。\n\
 -r : バケット番号を逆順に出力する\n\
例\n\
 mbucket f=x:xb,y:yb n=2,2 O=rng.csv i=dat.csv o=rsl.csv\n\
 mbucket k=id f=x:xb,y:yb n=2,2 F=2 i=dat.csv o=rsl2.csv\n\
";

