/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgchgnumHelp.h : kgchgnum help
// =============================================================================
_title="数値範囲による置換";
_doc="\
mchgnum(数値範囲による置換)\n\
 \"f=\"パラメータで指定した項目について、\n\
 \"R=\"パラメータで指定する数値範囲条件と\n\
 \"v=\"パラメータで指定する置換文字列により、\n\
 項目の値を置換する。\n\
書式\n\
 mchgnum f= R= [O=] [v=] [-A] [-F] [-r] [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 f= 変換する数値項目リスト(複数項目指定可)【必須】\n\
    ここで指定した項目の数値を\"R=\"と\"v=\"パラメータで\n\
    指定した数値範囲リストおよび置換文字列リストに\n\
    従って置換する。\n\
 R= 数値範囲リスト(複数項目指定可)【必須】\n\
    置換対象となる数値範囲を指定する\n\
    (1.1,2.5 : 1.1以上2.5未満)。\n\
 O= 範囲外文字列【任意】\n\
    \"R=\"パラメータで指定した数値範囲リストの\n\
    いずれとも合致しない値を置換するときの文字列\n\
    (指定がなければNULL値となる)を指定する。\n\
 v= 置換文字列リスト(複数項目指定可)【任意】\n\
    \"R=\"パラメータで指定した数値範囲に\n\
    対応する置換文字列を指定する。\n\
オプション\n\
 -A 新しい項目として出力\n\
    このオプションにより、指定した項目を置き換えるのではなく、\n\
    新たに項目が追加される。\n\
 -F 範囲外を項目の値として出力\n\
    \"R=\"パラメータで指定した数値範囲リストのいずれとも\n\
    合致しない値は、その項目の値のまま出力する。\n\
 -r \"R=\"パラメータの範囲を'～より大きく～以下'として扱う。\n\
    このオプションを指定することによって、\n\
    '1.1,2.5'は'1.1より大きく2.5以下'として扱う。\n\
例\n\
 mchgnum f=quantity R=MIN,10,20,MAX v=low,middle,high i=dat.csv o=rsl.csv\n\
 mchgnum f=quantity R=MIN,10,20,MAX v=low,middle,high -r i=dat.csv o=rsl.csv\n\
 mchgnum f=quantity R=10,20,30,MAX v=low,middle,high O=\"out of range\" i=dat.csv o=rsl.csv\n\
 mchgnum f=quantity:evaluate R=MIN,10,20,MAX v=low,middle,high -A i=dat.csv o=rsl.csv\n\
 mchgnum f=quantity R=10,20,30,MAX v=low,middle,high -F i=dat.csv o=rsl.csv\n\
";

