/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgcsv2arffHelp.h : kgcsv2arff help
// =============================================================================
_title="CSV→wekaのデータフォーマット変換";
_doc="\
mcsv2arff(csvからarff形式への変換)\n\
 csv形式のデータからarff形式\n\
 (WEKA用のデータフォーマット)のデータへ変換する。\n\
 arffでは、属性の型を指定する必要があり、\n\
 d=でカテゴリ型項目を、\n\
 n=で数値型項目を、s=で文字列型項目を、\n\
 D=で日付型項目をそれぞれ指定する。\n\
 日付型項目名に%tを付ければ時刻を含んだ値と見なし、\n\
 付けなければ日付のみの値と見なす。\n\
書式\n\
 mcsv2arff i= [d=] [D=][%t] [n=] [s=] [T=] [o=] [-help]\n\
パラメータ\n\
 d= カテゴリ項目名リスト(複数項目指定可)\n\
    【d=,D=,n=,s=いづれかの指定は必須】\n\
    カテゴリ項目を指定する。\n\
 D= 日付(時刻)項目名リスト(複数項目指定可)[%t]\n\
   【d=,D=,n=,s=いづれかの指定は必須】\n\
    日付(時刻)項目を指定する。\n\
    %t指定しなかった場合：yyyyMMdd\n\
    %t指定した場合　　　：yyyyMMddHHmmss\n\
 n= 数値項目名リスト(複数項目指定可)\n\
    【d=,D=,n=,s=いづれかの指定は必須】\n\
    数値項目を指定する。\n\
 s= 文字列項目名リスト(複数項目指定可)\n\
    【d=,D=,n=,s=いづれかの指定は必須】\n\
    文字列項目を指定する。\n\
 T= タイトル【任意】\n\
    タイトルにする文字列を指定する。\n\
例\n\
 mcsv2arff s=顧客 d=商品 D=日付 n=数量,金額 T=顧客購買データ i=dat1.csv o=rsl1.csv\n\
 mcsv2arff s=顧客 d=商品 D=日付%t n=数量,金額 T=顧客購買データ i=dat2.csv o=rsl2.csv\n\
";

