/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kghashavgHelp.h : kghashavg help
// =============================================================================
_title="行集計(平均:ソーティング不要)";
_doc="\
mhashavg(ハッシュ法による項目値の平均)\n\
 hash法を使って\"k=\"パラメータで指定した項目を単位にして、\n\
 \"f=\"パラメータで指定した項目値の平均を計算する。\n\
 mavgとの違いは、キー項目を事前に並べ変えておく必要がなく\n\
 その分処理速度が速い。 \n\
 ただし、キーのサイズ(キー項目のとる値の種類数)が\n\
 多い場合は処理速度が遅くなる。\n\
書式\n\
 mhashavg f= [hs=] [k=] [-n] [-nfn] [-nfno] [-x] [precision=] [i=] [o=] [-help]\n\
パラメータ\n\
 f= 項目名リスト(複数項目指定可)【必須】\n\
    ここで指定された項目値の平均が計算される。\n\
    :(コロン）で新項目名を指定可能。\n\
 k= キー項目名リスト(複数項目指定可)\n\
    ここで指定された項目をキーとして集計する。\n\
    ※注意：mavgでは\"k=\"パラメータの項目で事前に並べ替えておく\n\
    必要があるが、mhashavgではその必要はない。\n\
    x,nfnオプション使用時は、項目番号(0～)で指定。\n\
 hs= ハッシュサイズを指定する(デフォルトは199999)。\n\
オプション\n\
 -n NULL値が1つでも含まれていると結果もNULL値とする。\n\
例\n\
mhashavg k=\"顧客\" f=\"数量\",\"金額\" i=dat.csv o=rsl.csv\n\
mhashavg k=\"顧客\" f=\"数量\",\"金額\" -n i=dat.csv o=rsl.csv\n\
";

