/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kghashsumHelp.h : kghashsum help
// =============================================================================
_title="行集計(合計:ソーティング不要)";
_doc="\
mhashsum(hash法による項目値の合計)\n\
 hash法を使って\"k=\"パラメータで指定した項目を単位にして、\n\
 \"f=\"パラメータで指定した項目値を合計する。\n\
 msumとの違いは、キー項目を事前に並べ変えておく必要がなく\n\
 その分処理速度が速い。\n\
 ただし、キーのサイズ(キー項目のとる値の種類数)が\n\
 多い場合は処理速度が遅くなる。\n\
書式\n\
 mhashsum f= [hs=] [k=] [-n] [-nfn] [-nfno] [-x] [precision=] [i=] [o=] [-help]\n\
パラメータ\n\
 f=  項目名リスト(複数項目指定可)【必須】\n\
     ここで指定された項目値が合計される。:(コロン）で新項目名を指定可能。\n\
 k=  キー項目名リスト(複数項目指定可)\n\
     ここで指定された項目をキーとして集計する。\n\
     ※注意：msumでは\"k=\"パラメータの項目で事前に並べ替えておく\n\
     必要があるが、mhashsumではその必要はない。\n\
     x,nfnオプション使用時は、項目番号(0～)で指定。\n\
 hs= ハッシュサイズ【デフォルト:199999】\n\
     処理対象データのキーサイズから，\n\
     ユーザが消費メモリ量と速度を判断して指定する。\n\
     指定する値としては素数がよい。\n\
     キーサイズが大きいデータに対してハッシュサイズが\n\
     十分な大きさでなければ処理速度が遅くなる。\n\
     ハッシュサイズが十分に大きいと処理速度は速いが、\n\
     その分多くのメモリが必要になる\n\
     必要なメモリ量の目安: K*(24+F*16) byte, \n\
     K:キーのサイズ, F:f=で指定した項目数\n\
オプション\n\
 -n NULL値が1つでも含まれていると結果もNULL値とする。\n\
例\n\
 mhashsum k=\"顧客\" f=\"数量\",\"金額\" i=dat.csv o=rsl.csv\n\
 mhashsum k=\"顧客\" f=\"数量\",\"金額\" -n i=dat.csv o=rsl.csv\n\
";

