/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgjoinHelp.h : kgjoin help
// =============================================================================
_title="参照ファイル項目の結合";
_doc="\
mjoin (参照ファイルの項目結合)\n\
 \"k=\"パラメータで指定した入力ファイルの項目値と参照ファイルの項目値を比較し、\n\
 同じ値を持つ\"f=\"パラメータで指定した参照ファイルの項目値を結合する。\n\
書式\n\
 mjoin f= k= m= [K=] [-n] [-N] [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 f= 結合項目名リスト【必須】\n\
    結合する参照ファイル上の項目名リスト。\n\
 k= 入力データ上の突き合わせる項目名リスト【任意】\n\
    ここで指定した入力データの項目と\"K=\"パラメータで指定された\n\
    参照データの項目が同じ行の項目結合が行われる。\n\
    null値は，参照ファイルのK=で指定した項目の\n\
    どの値にもマッチしない値として扱われる。\n\
    事前に\"k=\"パラメータで指定する項目順に並べ替えておく必要がある。\n\
 m= 参照ファイル名【必須】\n\
    参照ファイル名を指定する。\n\
 K= 参照データ上の突き合わせる項目名スト【任意】\n\
    ここで指定した参照データの項目と\"k=\"パラメータで指定された\n\
    入力データの項目が同じ行の項目結合が行われる。\n\
    null値は，入力ファイルのk=で指定した項目の\n\
    どの値にもマッチしない値として扱われる。\n\
    参照データ上に\"k=\"パラメータで指定した入力データ上の項目と\n\
    同名の項目が存在する場合は指定する必要はない。\n\
オプション\n\
 -n 未結合入力データ出力\n\
    参照データにない入力データをNULL値として出力するフラグ。\n\
 -N 未結合参照データ出力\n\
    入力データにない参照データをNULL値として出力するフラグ。\n\
例\n\
 mjoin k=item f=cost m=ref.csv i=dat.csv o=rsl.csv\n\
 mjoin k=item f=cost m=ref.csv -n -N i=dat.csv o=rsl.csv\n\
";

