/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgmbucketHelp.h : kgmbucket help
// =============================================================================
_title="件数均等化バケット分割(２項目以上)";
_doc="\
mmbucket(多次元均等化バケット分割)\n\
 \"f=\"パラメータで指定した数値項目の件数が\n\
 できるだけ多次元均等になるようなバケットに\n\
 \"n=\"パラメータで指定した分割数に分割する。\n\
書式\n\
 mmbucket f= n= [F=] [k=] [O=] [-r] [-ms] [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 f= 分割する項目名リスト(複数項目指定可)【必須】\n\
    ここで指定した項目の値に基づいて分割をおこなう。\n\
    x,nfnオプション使用時は、項目番号(0～)で指定可能。\n\
 n= 分割数【必須】\n\
    \"f=\"パラメータで指定した項目数と\n\
    同じ数のパラメータを指定する。\n\
    ただし1つの数字を指定した場合、\n\
    \"f=\"パラメータで指定した全ての項目の\n\
    分割数として扱われる。\n\
 F= 出力形式【default=1】\n\
    バケットの名前を出力形式。\n\
    0:バケット番号のみを表示する。\n\
    1:バケットの範囲のみを表示する。\n\
    2:バケット番号とバケット範囲の両方を表示する。\n\
 k= キー項目名リスト(複数項目指定可)【任意】\n\
    バケット分割を行う単位となる項目名リスト。\n\
    ※指定する場合は事前に\n\
    \"k=\"パラメータで指定する分割する単位となる\n\
    項目順に並べ替えておく必要がある。\n\
 O= バケット範囲出力ファイル【任意】\n\
    \"f=\"パラメータで指定した各項目の各バケットの\n\
    数値範囲を出力するファイル名。\n\
オプション\n\
 -ms 開始項目\n\
     各項目を順次バケット分割していく時の開始項目を変えることで\n\
     複数回のバケット分割をトライし、よりよい解を求める。\n\
 -r  バケット番号を逆順に出力する\n\
例\n\
 mbucket f=x:xb,y:yb n=2,2 O=rng.csv i=dat.csv o=rsl.csv\n\
 mbucket k=id f=x:xb,y:yb n=2,2 F=2 i=dat.csv o=rsl2.csv\n\
";

