/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgmergeHelp.h : kgmerge help
// =============================================================================
_title="並び保存行併合";
_doc="\
mmerge(並び保存行併合)\n\
 指定した複数のファイルについて、指定した項目の順序を保ちながら併合する。\n\
 複数のファイルは指定した項目でsortingされていなければならない。\n\
 項目ごとに文字の昇順ソート,文字の降順ソート,数値の昇順ソート、数値の降順ソートが可能。\n\
書式\n\
 mmerge [k=][%n|%r|%nr] [pways=] i= [tmpPath=] [-nfn] [-nfno] [-x] [o=] [-help]\n\
パラメータ\n\
 k=     併合項目名リスト[%n|%r|%nr]\n\
        レコードを並べ換える基準となる項目名リストを指定する。\n\
        指定がない場合は、i=で指定されたファイルを順番に併合する。\n\
        項目名を指定するだけだと、文字列昇順ソートされる。\n\
        数値項目として並べ替えたい場合は\n\
        \"f=項目名%n\"のように項目名のあとに\"%n\"を指定することに、\n\
        よって数値項目として昇順ソートされる。\n\
        また、文字列および数値の降順ソートを実行する場合は\n\
        それぞれ\"f=項目名%r\"、\"f=項目名%nr\"と指定する。\n\
        なお、データにNULL値が含まれる場合、\n\
        NULL値はどのような値よりも小さい値として扱われる。\n\
        また、多重ソートを行う場合は、\n\
        ソートの優先順位にしたがって(,)カンマ区切りで項目名を指定する。\n\
        注意点)文字列項目に対して\"%n\"を指定した場合の動作は不定である。\n\
        NULL値は，数値としても文字列としても、最も小さい値として扱われる。\n\
 pways= 同時ファイルオープン数【default=32】\n\
        複数ファイルをマージする場合に、\n\
        同時にオープンするファイル数を指定できる。\n\
        2以上100以下の範囲で指定可能\n\
例\n\
 mmerge k=fld1,fld2 i=in0,in1\n\
 mmerge k=fld3%n,fld1 i=in0,in1\n\
";

