/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgnormalizeHelp.h : kgnormalize help
// =============================================================================
_title="数値基準化";
_doc="\
mnormalize (基準化)\n\
 \"f=\"パラメータで指定した項目を、\n\
 \"c=\"パラメータで指定した基準化の方法で基準化する。\n\
書式\n\
 mnormalize c= f= [k=] [bufcount=] [-nfn] [-nfno] [-x] [precision=] [i=] [o=] [-help]\n\
パラメータ\n\
 c= 基準化の方法【必須】\n\
    基準化の方法を指定する。\n\
    z : z得点:zi = (xi-m)/u (m:算術平均,u:不偏標準偏差)\n\
    Z :偏差値:Zi = 50 + 10 * zi\n\
    range :最小値を0,最大値を1に線形変換 ri= (xi-min)=(max-min)\n\
 f= 項目名リスト【必須】\n\
    ここで指定された項目が基準化される。\n\
    :(コロン）で新項目名を指定する必要がある。\n\
    x,nfnオプション使用時は、項目番号(0～)で指定。\n\
 k= キー項目名リスト【任意】\n\
    ここで指定された項目を単位に基準化を行う。\n\
    (注意）指定する場合は事前に\"k=\"パラメータで指定する基準化する\n\
    単位となる項目順に並べ替えておく必要がある。\n\
例\n\
 mnormalize c=z k=\"顧客\" f=\"数量:数量基準値,金額:金額基準値\" i=dat.csv o=rsl.csv\n\
 mnormalize c=Z k=\"顧客\" f=\"数量:数量基準値,金額:金額基準値\" i=dat.csv o=rsl.csv\n\
 mnormalize c=range k=\"顧客\" f=\"数量:数量基準値,金額:金額基準値\" i=dat.csv o=rsl.csv\n\
";

