/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgnrcommonHelp.h : kgnrcommon help
// =============================================================================
_title="参照ファイルによる数値範囲マッチング行選択";
_doc="\
mnrcommon(参照ファイルの複数範囲条件による行撰択)\n\
 参照ファイルの範囲条件にマッチする入力ファイルの行を選択する。\n\
 \"k=\"パラメータで指定した入力ファイルの項目値と\n\
 \"K=\"パラメータで指定した参照ファイルの項目値が同じ行について、\n\
 \"v=\"でパラメータで指定した項目値が\n\
 \"R=\"パラメータで指定した2項目の値の範囲条件(項目1以上項目2未満)\n\
 にマッチすれば選択する。数値として処理したい場合は\"v=\"\n\
 パラメータの項目名のあとに%nをつけること。\n\
書式\n\
 mcommon k= m= R= v=[%n] [K=] [u=] [-r] [-nfn] [-nfno] [-x]　[i=] [o=] [-help]\n\
パラメータ\n\
 k= 入力データ上の突き合わせる項目名リスト(複数項目指定可)【任意】\n\
    ここで指定した入力データの項目と\n\
    \"K=\"パラメータで指定された参照データの項目が同じ行の項目結合が行われる。\n\
    事前に\"k=\"パラメータで指定する項目順に並べ替えておく必要がある。\n\
    x,nfnオプション使用時は、項目番号(0～)で指定可能。\n\
 m= 参照ファイル名【必須】\n\
 R= 参照ファイル上の範囲項目名(start,end)を指定する。\n\
    第一項目のnull値は無限小，第二項目のnull値は無限大として扱われる。\n\
 v= 範囲比較される項目名[%n]【必須】\n\
    ここで指定した参照データの項目と\"k=\"パラメータで指定された\n\
    入力データの項目が同じ行が選択される。\n\
    入力ファイル上の項目名を指定する。\n\
 K= 参照データ上の突き合わせる項目名リスト(複数項目指定可)【任意】\n\
    ここで指定した参照データの項目と\"k=\"パラメータで指定された\n\
    入力データの項目が同じ行の項目結合が行われる。\n\
    参照データ上に\"k=\"パラメータで指定した入力データ上の項目と\n\
    同名の項目が存在する場合は指定する必要はない。\n\
    ※事前に\"K=\"パラメータで指定する項目順に並べ替えておく必要がある。\n\
    x,nfnオプション使用時は、項目番号(0～)で指定可能。\n\
 u= 不一致データ出力ファイル名【任意】\n\
    指定の条件に一致しない行を出力するファイル名。\n\
オプション\n\
 -r 条件反転\n\
    \"R=\"パラメータで指定した行番号以外の行を選択する。\n\
例\n\
 mnrcommon k=日付 m=ref.csv R=金額F,金額T v=金額%n u=oth.csv i=dat.csv o=rsl.csv\n\
 mnrcommon k=日付 m=ref.csv R=金額F,金額T v=金額%n -r i=dat.csv o=rsl2.csv\n\
";

