/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgnrjoinHelp.h : kgnrjoin help
// =============================================================================
_title="参照ファイル項目の数値範囲マッチング自然結合";
_doc="\
参照ファイルの複数範囲条件による自然結合\n\
 範囲により参照ファイルの項目を結合(join)する。\n\
 \"v=\"パラメータで指定した項目値が、\n\
 \"m=\"パラメータで指定した参照ファイルの\n\
 \"R=\"パラメータで指定した2項目の値の範囲条件\n\
 (項目1以上項目2未満)にマッチすれば\n\
 \"f=\"パラメータの項目を結合する。\n\
 マッチする行が複数あれば、それらの行全てが出力され、\n\
 ちょうど自然結合のような動きをする。\n\
 範囲比較される値は、デフォルトで文字列と見なされる。\n\
 数値として処理したい場合は\"v=\"パラメータの項目名のあとに%nをつける。\n\
書式\n\
 mnrjoin f= m= R= v= [k=] [K=] [-n] [-N] [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 f= 結合項目名リスト(複数項目指定可)【必須】\n\
    結合する参照ファイル上の項目名リスト。\n\
 m= 参照ファイル名【必須】\n\
    参照ファイル名を指定する。\n\
 R= 範囲項目名リスト(二項目限定)【必須】\n\
    参照ファイル上の範囲項目(start,end)を指定する。\n\
    第一項目のnull値は無限小，第二項目のnull値は無限大として扱われる。\n\
 v= 範囲比較される項目名[%n]【必須】\n\
    入力ファイル上の項目名を指定する。\n\
    数値として処理したい場合は\"v=\"パラメータの項目名のあとに%nをつける。\n\
 k= 入力データ上の突き合わせる項目名リスト(複数項目指定可)【任意】\n\
    ここで指定した入力データの項目と\"K=\"パラメータで指定された\n\
    参照データの項目が同じ行の項目結合が行われる。\n\
    事前に\"k=\"パラメータで指定する項目順に並べ替えておく必要がある。\n\
 K= 参照データ上の突き合わせる項目名スト(複数項目指定可)【任意】\n\
    ここで指定した参照データの項目と\"k=\"パラメータで\n\
    指定された入力データの項目が同じ行の項目結合が行われる。\n\
    参照データ上に\"k=\"パラメータで指定した入力データ上の項目と\n\
    同名の項目が存在する場合は指定する必要はない。\n\
オプション\n\
 -n 未結合入力データ出力\n\
    参照データにない入力データをNULL値として出力するフラグ。\n\
 -N 未結合参照データ出力\n\
    入力データにない参照データをNULL値として出力するフラグ。\n\
例\n\
 mnrjoin k=date f=avg m=ref.csv R=priceF,priceT v=price%n i=dat.csv o=rsl.csv\n\
 mnrjoin k=date f=avg m=ref.csv R=priceF,priceT v=price%n -n -N i=dat.csv o=rsl.csv\n\
";

