/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgnumberHelp.h : kgnumber help
// =============================================================================
_title="連続値項目の追加";
_doc="\
mnumber(連番もしくはアルファベット連番をふる)\n\
 数字連番もしくはアルファベット連番\n\
 (A,B,...,Z,AA,AB,...,AZ,BA,BB,...,ZZ,AAA,AAB,...)\n\
 をふり、\"a=\"パラメータで指定した項目名で出力する。\n\
書式\n\
 mnumber a= [e=] [I=] [k=] [s=] [S=] [-B] [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 a= 新項目名【必須】\n\
    新たに追加される項目の名前を指定する。\n\
 e= 同Rankingの処理方法\n\
    同一キー同一ソート項目値への処理方法を指定する。\n\
    指定しない場合は、デフォルトとして(e=seq)\n\
    並び順でNoもしくは文字列が付け加えられる。\n\
    seq:同Rankingの場合は並び順でNo\n\
        もしくはアルファベット連番を付け加える。\n\
    same:同Rankingの場合は同じNo\n\
         もしくはアルファベットを付け加える。\n\
    skip:同Rankingの場合は同じRankingNoを振り、\n\
        次のNoはスキップするようにNoもしくは\n\
        アルファベット連番を付け加える。\n\
    (注意)\"e=same/skip\"を指定する場合は、\n\
    \"s=\"パラメータを同時に指定しなければならない。\n\
 I= 間隔\n\
    連番の間隔を指定する。\n\
 k= キー項目名リスト(複数項目指定可)\n\
    連番もしくは連文字をふる単位となる項目名リストを指定する。\n\
    (注意）指定する場合は事前に\"k=\"パラメータで指定する連番、\n\
    もしくは連文字をふる単位となる項目順に並べ替えておく必要がある。\n\
 s= 項目名リスト(複数項目指定可)\n\
    同Rankingとして扱う項目名リストを指定する。\n\
    (注意)\"e=same/skip\"パラメータを指定するときに\n\
    必須なパラメータであり、同時に指定する必要がある。\n\
 S= 開始No\n\
    連番の開始Noを指定する。\n\
    大文字のアルファベットが指定された場合はアルファベット連番となる。\n\
    ただし、アルファベット連番の場合、間隔(I=)に負の値は指定できない。\n\
オプション\n\
 -B キー毎に連番もしくはアルファベット連番をふる。\n\
    あるキー内では全行同じNoもしくはアルファベットがふられる。\n\
利用例\n\
 mnumber a=No i=dat.csv o=rsl.csv\n\
 mnumber k=Date a=No -B i=dat.csv o=rsl.csv\n\
 mnumber a=Rank e=same s=Sum S=A i=dat.csv o=rsl.csv\n\
 mnumber a=Ranking e=seq s=Sum i=dat.csv o=rsl.csv\n\
 mnumber a=Ranking e=same s=Sum i=dat.csv o=rsl.csv\n\
 mnumber a=Ranking e=skip s=Sum i=dat.csv o=rsl.csv\n\
 mnumber a=Score e=same s=Sum S=10 i=dat.csv o=rsl.csv\n\
 mnumber a=Score e=same s=Sum S=10 I=5 i=dat.csv o=rsl.csv\n\
";

