/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgpaddingHelp.h : kgpadding help
// =============================================================================
_title="行補完";
_doc="\
mpadding (行補完)\n\
 \"k=\"パラメータで指定した項目をキーとして、\n\
 \"f=\"パラメータで指定した項目の値が\n\
 連続するようにレコードを作成する。\n\
 \"v=\"パラメータを指定した場合は、k=,f=で指定した以外の\n\
 項目値を指定した文字列でパディングし、\n\
 \"-n\"オプション指定時は、nullでパディングする。\n\
 (v=,-n共に指定がなければ直前の項目値でパディングする)\n\
書式\n\
 mpadding [k=] f= type= [v=] [S=] [E=] [-n] [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 k=    キー項目名リスト\n\
       ここで指定された項目をキーとする。\n\
 f=    連続パディング対象項目名【必須】\n\
       ここで指定された項目の値が連続するようにレコードをパディングする。\n\
 type= f=指定項目の型【必須】\n\
       f=で指定した項目の型を指定する。\n\
       int:数値/date:日付/time:時間の指定が可能。(それ以外の指定は不可)\n\
 v=    パディング用文字列指定\n\
       k=,f=で指定した以外の項目値を指定した文字列で出力する。\n\
 S=    開始値\n\
       f=で指定した項目の値の開始値を指定する。\n\
 E=    終了値\n\
       f=で指定した項目の値の終了値を指定する。\n\
オプション\n\
 -n パディングにnull値指定\n\
    k=,f=で指定した以外の項目値をnullで出力する。\n\
例\n\
 mpadding k=Class f=No type=int i=dat.csv o=rsl.csv\n\
 mpadding k=Class f=Date type=date v=padding i=dat.csv o=rsl.csv\n\
 mpadding k=Class f=Time type=time -n i=dat.csv o=rsl.csv\n\
 mpadding k=Class f=Date type=date v=padding S=20130927 E=20131004 i=dat.csv o=rsl.csv\n\
";

