/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgpasteHelp.h : kgpaste help
// =============================================================================
_title="行番号による項目結合";
_doc="\
mpaste(参照ファイル項目の行番号マッチング結合)\n\
 入力データに対して、\"m=\"パラメータで指定した参照データを結合する。\n\
 \"f=\"パラメータを指定した場合、\n\
 参照ファイルの指定した項目のみを入力ファイルに結合する。\n\
書式\n\
 mproduct f= m= -n -N [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 f= 結合項目名リスト(複数項目指定可)【必須】\n\
    結合する参照ファイル上の項目名リスト。\n\
 m= 参照ファイル名【必須】\n\
    参照ファイル名を指定する。\n\
    結合対象の入力データと参照データに同じ項目があった場合はエラー。\n\
オプション\n\
 -n 入力ファイルにあって参照ファイルにない場合にNULL値を出力する。\n\
 -N 参照ファイルにあって入力ファイルにない場合にNULL値を出力する。\n\
例\n\
 mpaste m=ref.csv i=dat.csv o=rsl.csv\n\
 mpaste -n m=ref.csv i=dat.csv o=rsl.csv\n\
 mpaste -n m=ref.csv i=dat.csv o=rsl.csv\n\
 mpaste f=count m=ref.csv i=dat.csv o=rsl.csv\n\
";

