/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgrjoinHelp.h : kgrjoin help
// =============================================================================
_title="参照ファイル項目の数値範囲マッチング結合";
_doc="\
mrjoin (参照ファイルの範囲条件による結合)\n\
 範囲により参照ファイルの項目を結合(join)する。\n\
 \"v=\"パラメータで指定した項目値が、参照ファイル上にある範囲条件\n\
 (項目値以上、次行の項目値未満)にマッチすれば\n\
 \"f=\"パラメータで指定した項目値を結合する。\n\
 より複雑な範囲条件で結合したければmnrjoinを使う。\n\
 範囲条件数が少なければmchgnumの利用を考えるとよい。\n\
書式\n\
 mrjoin m= r=[%n] [k=] [K=] [R=] [f=] [-n] [-lo] [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 m= 参照ファイル名【必須】\n\
    参照ファイル名を指定する。\n\
 r= 範囲比較される項目名[%n]【必須】\n\
    入力ファイル上の項目名を指定する。\n\
    %nが指定されると、数値範囲として解釈し、\n\
    指定がなければ文字列範囲として解釈する。\n\
    ここで指定する項目にnull値があってはならない。\n\
    null値があった場合の動作は不定である。\n\
 k= 入力データ上の突き合わせる項目名リスト(複数項目指定可)【任意】\n\
    ここで指定した入力データの項目と\"K=\"パラメータで指定された\n\
    参照データの項目が同じ行の項目結合が行われる。\n\
 K= 参照データ上の突き合わせる項目名スト(複数項目指定可)【任意】\n\
    ここで指定した参照データの項目と\"k=\"パラメータで\n\
    指定された入力データの項目が同じ行の項目結合が行われる。\n\
    参照データ上に\"k=\"パラメータで指定した入力データ上の項目と\n\
    同名の項目が存在する場合は指定する必要はない。\n\
 R= 範囲項目名【必須】\n\
    参照ファイル上の範囲項目名。\n\
    省略時は\"v=\"パラメータと同名として扱われる為、\n\
    \"v=\"パラメータと同名の場合は指定する必要はない。\n\
    範囲項目名の範囲条件：項目値以上、次行の項目値未満。\n\
 f= 結合項目名リスト(複数項目指定可)【必須】\n\
    結合する参照ファイル上の項目名リスト。\n\
    省略するとK=で指定された項目以外の項目を全て結合する。\n\
    R=で指定した項目も結合するので、\n\
    R=で指定した項目名はr=で指定した項目名と\n\
    異なっている必要があることに注意する。\n\
オプション\n\
 -n  キー未結合入力データ出力\n\
     参照データにない入力データをNULL値として出力するフラグ。\n\
 -lo left open interval\n\
     \"R=\"パラメータで指定した範囲を左半開区間（より大きい～以下）と解釈する。\n\
例\n\
 mrjoin r=price%n m=ref1.csv R=range f=category i=dat.csv o=rsl1.csv\n\
 mrjoin -lo r=price%n m=ref1.csv R=range f=category i=dat.csv o=rsl2.csv\n\
 mrjoin -n r=price%n m=ref1.csv R=range f=category i=dat.csv o=rsl3.csv\n\
 mrjoin k=item r=price%n m=ref.csv f=category i=dat.csv o=rsl.csv\n\
";

