/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgsedHelp.h : kgsed help
// =============================================================================
_title="正規表現による文字列置換";
_doc="\
msed(正規表現による文字列置換)\n\
 \"f=\"パラメータで指定した項目について、\n\
 \"c=\"パラメータで指定した正規表現に一致する内容を\n\
 \"v=\"パラメータ指定した文字列で置換する。\n\
書式\n\
 msed c= f= v= [-A] [-g] [-w] [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 f= 項目名リスト(複数項目指定可)【必須】\n\
    置換対象となる項目名リストを指定する。\n\
 c= 正規表現【必須】\n\
    置換したい文字列についての正規表現を指定する。\n\
    正規表現の使用方法参照\n\
 v= 置換文字【必須】\n\
    \"c=\"パラメータで指定した正規表現にマッチした部分文字列が、\n\
     ここで指定した文字列に置換される。\n\
     マッチ結果を用いた置換も可能で、指定方法は以下の通り。\n\
     $&:マッチした文字列\n\
     $`:置換対象文字列の先頭から、\n\
        マッチした文字列の直前までの文字列\n\
     $':マッチした文字列の直後から、\n\
         置換対象文字列の最後までの文字列\n\
     $N: N番目の部分マッチ文字列(N>= 1)\n\
オプション\n\
 -A 新しい項目として出力\n\
    このオプションにより、指定した項目を置き換えるのではなく、\n\
    新たに項目が追加される。\n\
 -g グローバル置換\n\
    正規表現にマッチする全ての部分文字列を置換対象とする。\n\
 -w ワイド文字置換\n\
    ワイド文字として正規表現による文字列置換を行う。\n\
例\n\
 msed f=zipCode c=00.. v=#### i=dat.csv o=rsl.csv\n\
 msed f=zipCode:zipCode4 c=00.. v=#### i=dat.csv o=rsl.csv\n\
 msed f=zipCode c=0 v=- -g i=dat.csv o=rsl.csv\n\
 msed f=zipCode c=0 v=- -g i=dat.csv o=rsl.csv\n\
 msed f=str1 c=b v=#$&# i=dat.csv o=rsl1.csv\n\
 msed f=str1 c=b v=#$&# -g i=dat.csv o=rsl2.csv\n\
 msed f=str1 c=b v=#$`# i=dat.csv o=rsl3.csv\n\
 msed f=str1 c=b v=#$'# i=dat.csv o=rsl4.csv\n\
";

