/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgselstrHelp.h : kgselstr help
// =============================================================================
_title="文字列による行撰択";
_doc="\
mselstr(文字列による行選択)\n\
 f=で指定した項目の値が、v=で指定した文字列に一致すれば、その行を選択する。\n\
 また、以下に示すように多様な選択条件を指定することも可能である。\n\
 このコマンドで指定できない複雑な条件\n\
 (例えば正規表現など)を設定するのであればmselコマンドを利用すればよい。\n\
 v=に複数の文字列を指定すれば、いずれかの文字列にマッチすれば選択される。\n\
 f=に複数項目を指定すれば、いずれかの項目の値がマッチすれば選択される。\n\
 複数項目のマッチ条件をAND条件とすることも可能(-Fオプション)。\n\
 完全一致だけでなく、先頭一致、末尾一致、部分一致の指定も可能\n\
 (-head,-tail,-subオプション)。\n\
 k=を指定することでキー単位で選択することが可能。\n\
 キー単位選択の場合、複数レコードのAND条件を指定可能(-Rオプション)。\n\
書式\n\
 mselstr f= v= [k=] [u=] [-F] [-r] [-R] [-sub] [-head] [-tail] [-w] [bufcount=] [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 f= 項目名リスト (複数項目指定可)【必須】 \n\
    検索対象となる項目名リストを指定する。\n\
 v= 検索文字列リスト (複数項目指定可)【必須】 \n\
    \"f=\"パラメータを指定した項目の値が、\n\
    ここで指定した文字列リストの1つにマッチすれば選択される。\n\
 k= キー項目名リスト (複数項目指定可)【必須】 \n\
    撰択する単位となるキー項目を指定する。 \n\
    (注意)指定する場合は事前に\"k=\"パラメータで指定する\n\
    選択の単位となる項目順に並べ替えておく必要がある。\n\
 o= 条件一致データ出力ファイル名\n\
    指定の条件に一致する行を出力するファイル名を指定する。\n\
 u= 不一致データ出力ファイル名\n\
    指定の条件に一致しない行を出力するファイル名を指定する。\n\
オプション\n\
 -F    項目間AND条件\n\
       \"f=\"パラメータで複数項目を指定した場合、その全ての値がマッチする行を撰択する。\n\
 -r    条件反転 \n\
       選択ではなく削除する。 \n\
 -R    レコード間AND条件\n\
       \"k=\"パラメータを指定した場合、その全ての行がマッチすれば行を撰択する。\n\
 -sub  部分文字列マッチオプション\n\
       検索を完全一致ではなく部分文字列マッチで比較する。\n\
       すなわち、\"f=\"パラメータで指定した項目の値に、\n\
       \"v=\"パラメータで指定の文字列が部分文字列として含まれていればその行を撰択 \n\
 -head 先頭文字列マッチオプション\n\
 -tail 末尾文字列マッチオプション\n\
  -w   -sub,-head,-tail オプションが指定されているときに\n\
       ワイド文字として部分文字列マッチをおこなう。\n\
例\n\
 mselstr f=\"商品\" v=apple,orange u=oth.csv i=dat.csv o=rsl.csv\n\
 mselstr f=\"商品\" v=apple,orange -r i=dat.csv o=rsl.csv\n\
 mselstr k=\"顧客\" f=\"商品\" v=orange u=oth.csv i=dat2.csv o=rsl.csv\n\
 mselstr f=\"商品\" v=apple -sub i=dat.csv o=rsl.csv\n\
 mselstr f=\"商品\" v=\"柿\",\"桃\",\"葡萄\" -sub -w i=dat3.csv o=rsl.csv\n\
 mselstr f=\"購入日\",\"前回購入日\" -F -sub v=2013 u=oth.csv i=dat4.csv o=rsl.csv\n\
 mselstr k=\"顧客\" f=\"購入日\",\"前回購入日\" -F -sub v=2013 u=oth.csv i=dat4.csv o=rsl.csv\n\
 mselstr k=\"顧客\" f=\"購入日\",\"前回購入日\" -F -R -sub v=2013,null u=oth.csv i=dat4.csv o=rsl.csv\n\
";

