/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgstatsHelp.h : kgstats help
// =============================================================================
_title="1変量の統計量の計算";
_doc="\
mstats [k=fields] f=fields c=統計量リスト [i=infile] [o=outfile]\n\
等計量リスト:=(sum|mean|count|devsq|var|uvar|sd|usd|cv|min|qtile1|median|qtile3|max|range|qrange|mode|skew|uskew|kurt|ukurt)+\n\
k= : ここで指定された項目をキーとして集計する\n\
f= : ここで指定された項目が集計される\n\
c= : 出力する統計量をコンマで区切って指定する．\n\
     sum   : 合計\n\
     mean  : 算術平均\n\
     count : 件数(null値以外)\n\
     ucount: ユニーク件数(null値以外)\n\
     devsq : 偏差平方和\n\
     var   : 分散\n\
     uvar  : 分散(不偏推定値)\n\
     sd    : 標準偏差\n\
     usd   : 標準偏差(不偏推定値)\n\
     cv    : 変動係数\n\
     mode  : モード\n\
     min   : 最小値\n\
     max   : 最大値\n\
     range : 範囲\n\
     median: 中央値\n\
     qtile1: 第1四分位点\n\
     qtile3: 第3四分位点\n\
     qrange: 四分位範囲\n\
     skew  : 歪度\n\
     uskew : 歪度(不偏推定値)\n\
     kurt  : 尖度\n\
     ukurt : 尖度(不偏推定値)\n\
例) mstats k=顧客 f=数量,金額 c=mean\n\
    mstats k=顧客 f=数量,金額 c=sd\n\
関連) msum,mavg,msim(2変量)\n\
";

