/* ////////// LICENSE INFO ////////////////////

 * Copyright (C) 2013 by NYSOL CORPORATION
 *
 * Unless you have received this program directly from NYSOL pursuant
 * to the terms of a commercial license agreement with NYSOL, then
 * this program is licensed to you under the terms of the GNU Affero General
 * Public License (AGPL) as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF 
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Please refer to the AGPL (http://www.gnu.org/licenses/agpl-3.0.txt)
 * for more details.

 ////////// LICENSE INFO ////////////////////*/
// =============================================================================
/// kgtrafldHelp.h : kgtrafld help
// =============================================================================
_title="一般項目→ベクトル型項目変換";
_doc="\
mtrafld(クロス表をトランザクション項目に変換)\n\
 \"f=\"パラメータで指定した項目値と\n\
 その値のペアのアイテムを作成し、\n\
 それらのアイテムを連結し\n\
 \"a=\"パラメータで指定した項目名で出力する。\n\
書式\n\
 mtra d a= [f=] [delim=] [delim2=] [-r] [-valOnly] [-nfn] [-nfno] [-x] [i=] [o=] [-help]\n\
パラメータ\n\
 a=      トランザクション項目名【必須】\n\
         トランザクション項目名を指定する。\n\
 f=      項目名リスト(複数項目指定可)\n\
         【-r指定時必須、それ以外は任意】\n\
         ここで指定された項目名と値とを連結したアイテムを作成し\n\
         トランザクション項目として出力される。\n\
         \"-r\"オプションの指定がある時はトランザクションデータから\n\
         抜き出す項目名を指定する。\n\
         \"-r\"オプションが指定されたとき，このパラメータは省略可能である。\n\
         省略すると、全ての項目名と値ペアを処理対象とする。\n\
         ただし、\"f=\"パラメータを省略すると\n\
         標準入力(パイプ入力)は利用できない。\n\
 delim=  区切り文字【任意】\n\
         トランザクション項目のアイテムを\n\
         区切る文字を指定する(省略時はスペース)。\n\
 delim2= 区切り文字【任意】\n\
         項目名と値ペアとを区切る文字を指定する(省略時は=)。\n\
オプション\n\
 -r       条件反転\n\
          トランザクション項目をクロス表に変換する。\n\
 -valOnly 項目名出力なし\n\
          このオプションが指定されると、アイテムとして「項目名=」は出力しない。\n\
例\n\
 mtrafld a=transaction f=price,quantity i=dat.csv o=rsl1.csv\n\
 mtrafld a=transaction f=price,quantity delim=_ delim2=':' i=dat.csv o=rsl.csv\n\
 mtrafld a=transaction f=price,quantity i=dat.csv o=rsl1.csv\n\
 mtrafld -r a=transaction f=price,quantity i=rsl1.csv o=rsl2.csv\n\
 mtrafld -valOnly f=price,quantity a=transaction i=dat.csv o=rsl1.csv\n\
";

